For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Get Started
    • Introduction
    • Quickstart
    • Authentication
  • API Reference
      • GETList Nodes
      • GETGet Node Detail
  • Python SDK
    • Install
    • Usage
    • Errors
  • CLI
    • Overview
LogoLogo
API Referencenodes

List Nodes

GET
/api/v1/nodes
GET
/api/v1/nodes
$curl https://api.onepin.ai/api/v1/nodes \
> -H "Content-Type: application/json"
200source_script
1{
2 "data": [
3 {
4 "node_type": "source_script",
5 "display_name": "Script Input",
6 "description": "Upload or type your script",
7 "version": 1,
8 "inputs": [],
9 "outputs": [
10 {
11 "name": "lines",
12 "fields": [
13 "locale_code",
14 "script"
15 ]
16 }
17 ],
18 "config_schema": {
19 "input_type": {
20 "enum": [
21 "text",
22 "file",
23 "media"
24 ],
25 "type": "string"
26 },
27 "text": {
28 "default": "",
29 "maxLength": 500000,
30 "type": "string"
31 },
32 "upload_ids": {
33 "items": {
34 "format": "uuid",
35 "type": "string"
36 },
37 "maxItems": 50,
38 "type": "array"
39 },
40 "csv_column": {
41 "anyOf": [
42 "character_name",
43 null
44 ]
45 },
46 "csv_has_header": {
47 "default": true,
48 "type": "boolean"
49 }
50 }
51 }
52 ],
53 "meta": {
54 "request_id": "01A2B3C4D5E6F7G8H9I0J",
55 "timestamp": "2026-04-09T00:00:00Z"
56 },
57 "pagination": {
58 "limit": 1
59 }
60}

List all node types and their input/output port definitions.

Was this page helpful?
Previous

Get Node Detail

Next
Built with

Response

Successful Response
datalist of objects
metaobject
paginationobject